<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>添加员工信息</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=0">
  <link rel="stylesheet" href="../../layuiadmin/layui/css/layui.css" media="all">
  <link rel="stylesheet" href="../../layuiadmin/style/admin.css" media="all">
  <link rel="stylesheet" type="text/css" href="../../layuiadmin/style/formSelects-v4.css"/>
    <style>
        img{
            width: 40%;
            height: 30%;
        }
    </style>
</head>
<body>

  <div class="layui-fluid">
    <div class="layui-row layui-col-space15">
      <div class="layui-col-md6">
        <div class="layui-card">

          <div class="layui-card-body">
            <form class="layui-form" action="" lay-filter="component-form-element">
              <div class="layui-row layui-col-space10 layui-form-item">
               <div class="layui-col-lg6">
                  <label class="layui-form-label">介绍图片：</label>
                  <div class="layui-input-block">
                      <button type="button" class="layui-btn-sm" id="upload_image">上传图片</button><br><br>
                      <img class="layui-upload-img" id="show_image">
                  </div>
               </div>
                <button class="layui-btn" id="id_save" lay-submit lay-filter="component-form-element" style="display: none">保存</button>
                  <button class="layui-btn" type="button" id="upload_save" style="display: none"></button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>


  <script src="../../layuiadmin/layui/layui.js"></script>
  <script>
  layui.config({
    base: '../../../layuiadmin/' //静态资源所在路径
  }).extend({
    index: 'lib/index',
    formSelects: 'formSelects-v4'
  }).use(['index', 'form', 'utils', 'upload'], function(){
    var $ = layui.$
    ,admin = layui.admin
    ,upload = layui.upload
    ,form = layui.form;
    var id = layui.view.getParameterByName('id');
    var editdata = JSON.parse(JSON.stringify(parent.layui.table.editdata)); // 框架有Bug所以这么转换
    if(editdata.pic){
        $('#show_image').attr('src', 'https://jpm.zzly.vip' + editdata.pic);
    }

    form.render(null, 'component-form-element');

    var form_data = {field:{}};
    upload.render({
         elem: '#upload_image',
         url: '/activity/upload/images/?id=' + id,
         auto: false,
         field: 'image',
         bindAction: '#upload_save',
         choose: function(obj) {
             obj.preview(
                 function(index, file, result) {
                     $('#show_image').attr('src', result);
                 }
             );
         },
        done: function (res) {
            if (res.code != 0) {
                layer.msg(res.msg);
            }else {
                parent.layui.onSubmitChild(res.data);
            }
        },
        error: function () {
            layer.msg('上传失败');
        }
    });

    form.on('submit(component-form-element)', function (data) {
         form_data = data;
         $('#upload_save').click();
        return false;
    });

    parent.layui.submitChild = function () {
      $("#id_save").click();
    };
  });
  </script>
</body>
</html>